Bug 485583 - Immediate wakeup after suspend to ram
Immediate wakeup after suspend to ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 16:30 EST by Piergiorgio Sartor
Modified: 2009-12-18 02:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2009-02-14 16:30:35 EST
Description of problem:
Performing a suspend to RAM with an ASUS M2NPV-VM results in an immediate wakeup, just after the suspend.

Version-Release number of selected component (if applicable):
kernel-2.6.27.12-170.2.5.fc10.x86_64

How reproducible:
Under "standard" hardware conditions, always.
Some hardware changes result in proper S2R.

Steps to Reproduce:
1.
rtcwake -s 30 -m mem
  
Actual results:
The PC goes into S2R and it wakes up immediatly.

Expected results:
The PC should stay 30 seconds in S2R and then wakeup.

Additional info:
First of all, it seems there are already some reports about this board and/or a similar problem, see:
http://www.gossamer-threads.com/lists/mythtv/users/316830
http://bugzilla.kernel.org/show_bug.cgi?id=9528#c90
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/128315

One possible solution seems to enable the USB stdby power, changing some motherboard jumpers.
In this case the solution is not acceptable, since I do not want to power any USB device during S2R.
Another suggestion is to disable USB wakeup from /proc/acpi/wakeup, but with this kernel everything seem to be already disabled there.
Furthemore, someone suggested to remove the USB modules just before S2R. This is also not possible, since the keyboard is USB...

Second. If I detach all USB devices, then the S2R works. Maybe until some USB peripheral is attached.

Final word. It seems to me that S2R was working some kernel ago, maybe with F9, not really sure.

If there is any koji kernel to test, please let me know.

Thanks,

pg
Comment 1 ArmEagle 2009-05-09 07:22:23 EDT
Though you did more searching and got some decent ideas, just pointing to 
https://bugzilla.redhat.com/show_bug.cgi?id=471672 (specifically mentioning second attempt)
and
https://bugzilla.redhat.com/show_bug.cgi?id=463097 (which doesn't mention that).

My experience so far has been that if I alternate between suspend and hibernate, suspend will keep working as if it was the first time.
Comment 2 Piergiorgio Sartor 2009-07-03 15:51:13 EDT
It seems that kernel-2.6.29.5-191.fc11.x86_64 fixes the issue, at least under F-11.

piergiorgio
Comment 3 Chuck Ebbert 2009-07-09 21:20:03 EDT
Try 2.6.29.6-93.fc10 from updates-testing if it ever gets there.
Comment 4 Piergiorgio Sartor 2009-07-10 07:55:28 EDT
(In reply to comment #3)
> Try 2.6.29.6-93.fc10 from updates-testing if it ever gets there.  

Ops, sorry, I thought comment #2 made clear I upgraded to F-11, so I cannot test the new kernel for F-10, in this respect.

Maybe others can...

Thanks anyway,

piergiorgio
Comment 5 Bug Zapper 2009-11-18 06:06:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:55:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.